
#define _USE_MATH_DEFINES
#include <iostream>
#include <vector>
#include <cmath>
#include "UE.h"
#include "Point.h"
#include "polarPoint.h"

using namespace std;

UE::UE(Point position, Point endPosition, int id, int sTime, int eTime,int speed):
	position(position), endPosition(endPosition), id(id), sTime(sTime), eTime(eTime), speed(speed){}

Point UE::getPosition(void)
{
	return position;
}

Point UE::getEndPosition(void)
{
	return endPosition;
}

int UE::getSTime(void)
{
	return sTime;
}
		
int UE::getETime(void)
{
	return eTime;
}

int UE::getSpeed(void)
{
	return speed;
}

int UE::getID(void)
{
	return id;
}


void UE::setPosition(Point point)
{
	position = point;
}

void UE::setEndPosition(Point point)
{
	endPosition = point;
}

void UE::setSTime(int time)
{
	sTime = time;
}

void UE::setETime(int time)
{
	eTime = time;
}

void UE::setSpeed(int speed)
{
	this->speed = speed;
}

void UE::setID(int id)
{
	this->id = id;
}

/*int main()
{
	cout << "Test constructor " << endl;
	UE ue(Point(1, 2), Point(1, 2), 1, 0, 0, 0);
	cout << "Test getters " << endl;
	cout << ue.getPosition().getX() <<endl;
	cout << ue.getPosition().getY() <<endl;
	cout << ue.getEndPosition().getX() <<endl;
	cout << ue.getEndPosition().getY() <<endl;
	cout << ue.getID() <<endl;
	cout << ue.getSTime() <<endl;
	cout << ue.getETime() <<endl;
	cout << ue.getSpeed() <<endl; 
	cout << " " << endl;
	cout << " " << endl;	
	cout << "Test setters " << endl;
	ue.setPosition(Point(2, 3));
	ue.setEndPosition(Point(2, 3));
	ue.setSTime(1);
	ue.setETime(1);
	ue.setSpeed(3);
	ue.setID(2);
	cout << ue.getPosition().getX() <<endl;
	cout << ue.getPosition().getY() <<endl;
	cout << ue.getEndPosition().getX() <<endl;
	cout << ue.getEndPosition().getY() <<endl;
	cout << ue.getID() <<endl;
	cout << ue.getSTime() <<endl;
	cout << ue.getETime() <<endl;
	cout << ue.getSpeed() <<endl;
	cout << " " << endl;
	cout << " " << endl;	

	return 0;
}*/


